Plugin Autoupdater v.1.5

Требования: [EXTENSION] Socket v.3.0.1

Команды:
  • sm_autoupdate_check [имя файла / IDX] - проверяет наличие обновлений, но ничего не загружает. Оставьте IDX пустым, чтобы проверить все плагины.
  • sm_autoupdate_download [имя файла / IDX] - проверяет наличие обновлений и загружает их. Оставьте IDX пустым, чтобы обновить все плагины.
  • sm_autoupdate_list - показывает список плагинов, которые будут обновляться.
  • sm_autoupdate_rem - Останавить автообновление плагина.
  • sm_autoupdate_block_add - инстумент добавляет плагин в список заблокированных. Плагины в списке заблокированных, не будут добавлены в список автообновления.
  • sm_autoupdate_block_rem - Удаляет плагин из списка блоков.
  • sm_autoupdate_block_list - Списки заблокированных плагинов.
Настройки:
  • sm_autoupdate_binary - 1 = Скачать бинарники \ 0 = нет
  • sm_autoupdate_source - 1 = Скачать исходники \ 0 = нет
  • sm_autoupdate_gamedata - 1 = Скачать GameData файлы \ 0 = нет
  • sm_autoupdate_other - 1 = Скачать другие файлы \ 0 = нет
  • sm_autoupdate_backup - Сохранить резервные копии файлов старой версии? Если установлено значение 1, сохраняет резервные копии старой версии в addons/sourcemod/plugins/disabled/backups

Создание своего плагина автообновления:

Пример:
Код:
#pragma semicolon 1 
 #include <sourcemod> 
 #undef REQUIRE_PLUGIN 
 #include <autoupdate> 
 #define PL_VERSION "1.0" 
 public OnPluginStart() { 
 RegConsoleCmd("testau", Command_test); 
 } 
 public OnAllPluginsLoaded() { 
 if(LibraryExists("pluginautoupdate")) { 
 // only register myself if the autoupdater is loaded 
 // AutoUpdate_AddPlugin(const String:url[], const String:file[], const String:version[]) 
 AutoUpdate_AddPlugin("127.0.0.1", "/plugins.xml", PL_VERSION); 
 } 
 } 
 public OnPluginEnd() { 
 if(LibraryExists("pluginautoupdate")) { 
 // I don't need updating anymore 
 // AutoUpdate_RemovePlugin(Handle:plugin=INVALID_HANDLE) - don't specifiy plugin to remove calling plugin 
 AutoUpdate_RemovePlugin(); 
 } 
 } 
 public Action:Command_test(client, args) { 
 PrintToChatAll("Version %s", PL_VERSION); 
 }
127.0.0.1/plugins.xml выглядит следующим образом:
Код:
<plugin> 
 <version>1.1</version> 
 <changes>Changed version number.</changes> 
 <binary>/auexample.smx</binary> 
 <source>/auexample.sp</source> 
 <gamedata>/folder/auexample.games.txt</gamedata> 
 <other dir="newdir">/newfile.txt,/folder/newfile2.txt</other> 
 <other dir="newdir2">/newfile3.txt</other> 
 </plugin>


Оригинал

Источник: http://hlmod.ru/forum/plaginy-dlya-sourcemod/830-plugin-autoupdater-v-1-5-a.html

Plugin Autoupdater v.1.5

СКАЧАТЬ (16.1Kb)

Пожаловаться на файл
  • Комментарии ВКонтакте
  • Комментарии на сайте

По просмотрам По дате По рейтингу По комментарием
© 2008-2017 nkp-team
 Все права защищены
моды для minecraft
скачать css v34